#pragma bank 255

// Scene: Quest Menu

#include "gbs_types.h"
#include "data/bg_questscreen.h"
#include "data/scene_15_collisions.h"
#include "data/palette_10.h"
#include "data/palette_13.h"
#include "data/sprite_charanimatedsprite.h"
#include "data/scene_15_actors.h"
#include "data/scene_15_sprites.h"
#include "data/scene_15_init.h"

BANKREF(scene_15)

const struct scene_t scene_15 = {
    .width = 20,
    .height = 18,
    .type = SCENE_TYPE_TOPDOWN,
    .background = TO_FAR_PTR_T(bg_questscreen),
    .collisions = TO_FAR_PTR_T(scene_15_collisions),
    .parallax_rows = {
        PARALLAX_STEP(0,0,0)
    },
    .palette = TO_FAR_PTR_T(palette_10),
    .sprite_palette = TO_FAR_PTR_T(palette_13),
    .reserve_tiles = 0,
    .player_sprite = TO_FAR_PTR_T(sprite_charanimatedsprite),
    .n_actors = 5,
    .n_triggers = 0,
    .n_sprites = 1,
    .n_projectiles = 0,
    .actors = TO_FAR_PTR_T(scene_15_actors),
    .sprites = TO_FAR_PTR_T(scene_15_sprites),
    .script_init = TO_FAR_PTR_T(scene_15_init)
};
